Skip to main content
`Ctrl`+`K`

# PetscFEOpenCLGetRealType

Get the scalar type for running on the OpenCL accelerator

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEOpenCLGetRealType(PetscFE fem, PetscDataType *realType)

## Input Parameter

- fem - The `PetscFE`

## Output Parameter

- realType - The scalar type

## See Also

`PetscFE`, `PetscFEOpenCLSetRealType()`

## Level

developer

## Location

src/dm/dt/fe/impls/opencl/feopencl.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages